summary refs log tree commit diff
path: root/.config/waybar/modules
diff options
context:
space:
mode:
authorRobert Günzler <r@gnzler.io>2022-09-28 19:35:32 +0200
committerRobert Günzler <r@gnzler.io>2022-09-28 19:35:32 +0200
commitd02ebebe68b84b6996bcf7e9e76fdabf0d69e47a (patch)
tree4bfc389d405d2d70fc6eb5a3bcc601818463fa38 /.config/waybar/modules
parent807fc10b96d06761b63fcccf440454b359712369 (diff)
waybar: add hotspots module
Diffstat (limited to '.config/waybar/modules')
-rwxr-xr-x.config/waybar/modules/hotspots.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/.config/waybar/modules/hotspots.sh b/.config/waybar/modules/hotspots.sh
new file mode 100755
index 0000000..fe2ff65
--- /dev/null
+++ b/.config/waybar/modules/hotspots.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -e
+
+case "$1" in
+click)
+	uri=$(hspl -u)
+	xdg-open "http://$uri"
+	;;
+*)
+	output=$(hspl || echo "none")
+	if [ "$output" != "none" ]; then
+		jq -nc \
+			--arg text "󱛄 $(head -n1 <<<"$output")" \
+			--arg tooltip "$(tail -n+2 <<<"$output")" \
+			--arg class "$(if [ "$(hspl -d)" -lt 100 ]; then echo "soon"; else echo ""; fi)" \
+			'{text:$text,tooltip:$tooltip,class:$class}'
+	else
+		jq -nc '{}'
+	fi
+	;;
+esac